petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscMallocDebug

Turns on/off debugging for the memory management routines.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocDebug(PetscBool level)

Not Collective

### Input Parameter

level -PETSC_TRUE or PETSC_FALSE

### See Also

CHKMEMQ(), PetscMallocValidate()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages